/**
* @author Vincent Pippan
* @version 1.0
* Projekt: Routenstatistik von Segelregatten
* Datei: AnalyseData.java
* Last Updated: 26. 5. 2002
* Beschreibung: Klasse zum Programmstart
*/

public class AnalyseData
{
	//Konstruktor von AnalyseData
	public AnalyseData(String[] args)
	{
		ProgrammRun programm = new ProgrammRun();
		
		try
		{
			//Run the programm
			programm.RunProgramm(args[0], args[1], args[2], Integer.parseInt(args[3]));
		}
		
		//Error Message
		catch (Exception e) 
		{
			System.out.println("AnalyseData [drive:\\path to sourcefiles] [Latitude Referenz] [Longitude Referenz] [Masstab]\n");
			System.out.println("Beispiel: c:\\>java AnalyseData g:\\work\\data N4822203 E01214985 10\n");
			System.out.println("Fehler: "+e);
		}
		
		//TestGui frame = new TestGui();
		//frame.setLocation(100, 100);
		//frame.pack();
		//frame.setVisible(true);
	}

	/** public static void main(String[] args) */
	public static void main(String[] args)
	{
		new AnalyseData(args);
			
	}
}
